<?php
class get_order extends CommonAction{

	/**
	 * 查询订单分布情况
	 * @todo 无
	 * @author 小黄牛
	 * @version v1.0.1 + 2020.10.23
	 * @deprecated 暂不启用
	 * @global 无
	 * @param array $param 请求参数
	 * @param obj $_this 父级实例
	 * @return void
	*/
    public function run($param, $_this){
		if(empty($_SESSION['admin_id'])) return $_this->_json('01', '请先登录后台！');
		if($_SESSION['admin_id'] != 1 && !empty($_SESSION['region_id'])&&$all_region_status!=1){
			$arr = explode(',', $_SESSION['region_id']);
			if (in_array($_POST['city_id'], $arr) == false) return $_this->_json('01', '您暂无该地区预览权限！');
		}
		
		$where = $this->_where($param);
		$list = M('order')->alias('A')
				->join('inner join hd_order_kilometers AS B ON A.id=B.order_id')
				->where($where)
				->field('A.id, A.order_sn, A.driver_id, A.user_phone, A.original, A.destination, B.s_lat, B.s_long')
				->order('A.id ASC')
				->select();
		$array = array();
		foreach ($list as $v) {
			if ($v['s_lat']) $array[] = $v;
		}
		return $_this->_json('00', '获取成功！', $array);
	}

	private function _where($param) {
		// 只看七天内的订单分布
		$time = strtotime(date('Y-m-d', time()))-(86400*7);
		$where  = 'A.status=1';
		$where .= ' AND A.regions_id='.$param['city_id'];
		$where .= ' AND A.add_time >= '.$time;
		$where .= ' AND A.add_time < '.time();
		return $where;
	}
}